Accounts
The Accounts resource represents an Airwallex account, which serves as the main container for a customer’s financial data—including wallet balances, financial transactions, cards, and more. This resource allows customers to retrieve and update account information. For platform customers, it also supports onboarding and managing Connected Accounts .
GET /api/v1/account/amendments/{amendment_id}POST /api/v1/account/amendments/createGET /api/v1/account/wallet_infoPOST /api/v1/accounts/createPOST /api/v1/accounts/{id}/updatePOST /api/v1/accounts/{id}/submitGET /api/v1/accounts/{id}GET /api/v1/accountsGET /api/v1/accountPOST /api/v1/accounts/{id}/terms_and_conditions/agreePOST /api/v1/accounts/{id}/suspendPOST /api/v1/accounts/{id}/reactivate
Get an account amendment
GET /api/v1/account/amendments/{amendment_id}
Get an account amendment
Amendment unique identifier
A unique identifier of the amendment.
Contact information for the primary contact of the Airwallex specified account.
A valid email address.
A valid mobile phone number.
Status of the amendment. One of PENDING, APPROVED, REJECTED.
Relevant information associated with the store you are applying payment solutions for.
Percentage of products or services provided to international customers residing outside of where your business's registered.
Average dispute rate (percentage of total successful payments that are claimed as disputed charges by card schemes) of your store in the past three months.
Total number of staff in all stores.
Your store's anticipated volume of transactions in the next 12 months with Airwallex.
The average transaction size of your store.
Currency of the transaction volume. (3-letter ISO 4217 currency code)
The maximum transaction size of your store.
The average monthly volume of your store.
Additional documents about your store's financials.
Unique identifier of file as provided in the response from the File Service API.
Number of days your customers will typically need to wait to receive their goods or services after paying for their orders.
The code of the industry category most aligned with your store. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
Current or desired MCC for your store.
The model of which our customers pay for their orders. Refer to https://www.airwallex.com/docs/payments/about-airwallex-payments/choose-your-payments-solution#what-is-your-payments-use-case
One or more of ONLINE_CHECKOUT, INVOICES_OR_CUSTOM_ORDER_LINKS, IN_PERSON.
Anticipated transaction volume split by payment methods.
Type of payment methods; one of CARDS, BANK_DIRECT_DEBIT, OTHER.
Percentage of anticipated transaction volume.
Average refund rate (percentage of total successful payments that are refunded to your customers) of your store in the past three months.
List of country codes where products are sold.
List of country codes from which goods are shipped.
Physical address of the store.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Free text description of your store's goods or services offerings. Max length is 500 characters.
The trading name your store is operating as. This name will also appear on the receipts to your customers.
Store photos of shop front clearly displaying the company name or photo of building entrance as well as directory with company name listed.
All relevant store photos, if more than 1 physical store, provide one photo of each.
All websites associated with the store you are applying payment solutions for. They must be in the same industry selling the same or similar goods and services, otherwise you will need to submit another application as a different store.
Url of the store websites, including online store, marketplace stores, app-store links or other relevant websites.
Target of the amendment.
account_details.store_details, primary_contact
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/account/amendments/amendment_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "id": "<string>",3 "primary_contact": {4 "email": "[email protected]",5 "mobile": "<string>"6 },7 "status": "APPROVED",8 "store_details": {9 "cross_border_transaction_percent": "5.6",10 "dispute_percent": "1.5",11 "employee_size": 100,12 "estimated_transaction_volume": {13 "average_amount_per_transaction": "100",14 "currency": "AUD",15 "max_amount_per_transaction": "1000",16 "monthly_transaction_amount": "500000"17 },18 "financial_statements": [19 {20 "file_id": "your_file_id"21 }22 ],23 "fulfillment_days": 3,24 "industry_code": "ICCV3_0002XX",25 "mcc": "5599",26 "operating_models": [27 "ONLINE_CHECKOUT",28 "INVOICES_OR_CUSTOM_ORDER_LINKS"29 ],30 "payment_distribution": [],31 "refund_percent": "1.5",32 "selling_to_country_codes": [33 "US",34 "CA"35 ],36 "shipping_from_country_codes": [37 "US",38 "AU"39 ],40 "store_address": {41 "address_line1": "200 Collins Street",42 "address_line2": "200 Collins Street",43 "country_code": "AU",44 "postcode": "3000",45 "state": "VIC",46 "suburb": "Melbourne"47 },48 "store_description": "I sell awesome products",49 "store_name": "My Awesome Store",50 "store_photos": [51 {52 "file_id": "your_photo_file_id"53 }54 ],55 "store_websites": [56 {57 "url": "https://my-awesome-store.com"58 }59 ]60 },61 "target": "account_details.store_details"62}
Create an account amendment
POST /api/v1/account/amendments/create
Creates an amendment request to edit existing account data for an account that has passed KYC verification
Contact information for the primary contact of the Airwallex specified account.
A valid email address.
A valid mobile phone number.
Relevant information associated with the store you are applying payment solutions for.
Percentage of products or services provided to international customers residing outside of where your business's registered.
Average dispute rate (percentage of total successful payments that are claimed as disputed charges by card schemes) of your store in the past three months.
Total number of staff in all stores.
Your store's anticipated volume of transactions in the next 12 months with Airwallex.
The average transaction size of your store.
Currency of the transaction volume. (3-letter ISO 4217 currency code)
The maximum transaction size of your store.
The average monthly volume of your store.
Additional documents about your store's financials.
Unique identifier of file as provided in the response from the File Service API.
Number of days your customers will typically need to wait to receive their goods or services after paying for their orders.
The code of the industry category most aligned with your store. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
Current or desired MCC for your store.
The model of which our customers pay for their orders. Refer to https://www.airwallex.com/docs/payments/about-airwallex-payments/choose-your-payments-solution#what-is-your-payments-use-case
One or more of ONLINE_CHECKOUT, INVOICES_OR_CUSTOM_ORDER_LINKS, IN_PERSON.
Anticipated transaction volume split by payment methods.
Type of payment methods; one of CARDS, BANK_DIRECT_DEBIT, OTHER.
Percentage of anticipated transaction volume.
Average refund rate (percentage of total successful payments that are refunded to your customers) of your store in the past three months.
List of country codes where products are sold.
List of country codes from which goods are shipped.
Physical address of the store.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Free text description of your store's goods or services offerings. Max length is 500 characters.
The trading name your store is operating as. This name will also appear on the receipts to your customers.
Store photos of shop front clearly displaying the company name or photo of building entrance as well as directory with company name listed.
All relevant store photos, if more than 1 physical store, provide one photo of each.
All websites associated with the store you are applying payment solutions for. They must be in the same industry selling the same or similar goods and services, otherwise you will need to submit another application as a different store.
Url of the store websites, including online store, marketplace stores, app-store links or other relevant websites.
Target of the amendment, one of account_details.store_details or primary_contact.
A unique identifier of the amendment.
Contact information for the primary contact of the Airwallex specified account.
A valid email address.
A valid mobile phone number.
Status of the amendment. One of PENDING, APPROVED, REJECTED.
Relevant information associated with the store you are applying payment solutions for.
Percentage of products or services provided to international customers residing outside of where your business's registered.
Average dispute rate (percentage of total successful payments that are claimed as disputed charges by card schemes) of your store in the past three months.
Total number of staff in all stores.
Your store's anticipated volume of transactions in the next 12 months with Airwallex.
The average transaction size of your store.
Currency of the transaction volume. (3-letter ISO 4217 currency code)
The maximum transaction size of your store.
The average monthly volume of your store.
Additional documents about your store's financials.
Unique identifier of file as provided in the response from the File Service API.
Number of days your customers will typically need to wait to receive their goods or services after paying for their orders.
The code of the industry category most aligned with your store. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
Current or desired MCC for your store.
The model of which our customers pay for their orders. Refer to https://www.airwallex.com/docs/payments/about-airwallex-payments/choose-your-payments-solution#what-is-your-payments-use-case
One or more of ONLINE_CHECKOUT, INVOICES_OR_CUSTOM_ORDER_LINKS, IN_PERSON.
Anticipated transaction volume split by payment methods.
Type of payment methods; one of CARDS, BANK_DIRECT_DEBIT, OTHER.
Percentage of anticipated transaction volume.
Average refund rate (percentage of total successful payments that are refunded to your customers) of your store in the past three months.
List of country codes where products are sold.
List of country codes from which goods are shipped.
Physical address of the store.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Free text description of your store's goods or services offerings. Max length is 500 characters.
The trading name your store is operating as. This name will also appear on the receipts to your customers.
Store photos of shop front clearly displaying the company name or photo of building entrance as well as directory with company name listed.
All relevant store photos, if more than 1 physical store, provide one photo of each.
All websites associated with the store you are applying payment solutions for. They must be in the same industry selling the same or similar goods and services, otherwise you will need to submit another application as a different store.
Url of the store websites, including online store, marketplace stores, app-store links or other relevant websites.
Target of the amendment.
account_details.store_details, primary_contact
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/account/amendments/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "primary_contact": {> "email": "[email protected]",> "mobile": "<string>"> },> "store_details": {> "cross_border_transaction_percent": "5.6",> "dispute_percent": "1.5",> "employee_size": 100,> "estimated_transaction_volume": {> "average_amount_per_transaction": "100",> "currency": "AUD",> "max_amount_per_transaction": "1000",> "monthly_transaction_amount": "500000"> },> "financial_statements": [> {> "file_id": "your_file_id"> }> ],> "fulfillment_days": 3,> "industry_code": "ICCV3_0002XX",> "mcc": "5599",> "operating_models": [> "ONLINE_CHECKOUT",> "INVOICES_OR_CUSTOM_ORDER_LINKS"> ],> "payment_distribution": [],> "refund_percent": "1.5",> "selling_to_country_codes": [> "US",> "CA"> ],> "shipping_from_country_codes": [> "US",> "AU"> ],> "store_address": {> "address_line1": "200 Collins Street",> "address_line2": "200 Collins Street",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "suburb": "Melbourne"> },> "store_description": "I sell awesome products",> "store_name": "My Awesome Store",> "store_photos": [> {> "file_id": "your_photo_file_id"> }> ],> "store_websites": [> {> "url": "https://my-awesome-store.com"> }> ]> },> "target": "account_details.store_details">}'
1{2 "id": "<string>",3 "primary_contact": {4 "email": "[email protected]",5 "mobile": "<string>"6 },7 "status": "APPROVED",8 "store_details": {9 "cross_border_transaction_percent": "5.6",10 "dispute_percent": "1.5",11 "employee_size": 100,12 "estimated_transaction_volume": {13 "average_amount_per_transaction": "100",14 "currency": "AUD",15 "max_amount_per_transaction": "1000",16 "monthly_transaction_amount": "500000"17 },18 "financial_statements": [19 {20 "file_id": "your_file_id"21 }22 ],23 "fulfillment_days": 3,24 "industry_code": "ICCV3_0002XX",25 "mcc": "5599",26 "operating_models": [27 "ONLINE_CHECKOUT",28 "INVOICES_OR_CUSTOM_ORDER_LINKS"29 ],30 "payment_distribution": [],31 "refund_percent": "1.5",32 "selling_to_country_codes": [33 "US",34 "CA"35 ],36 "shipping_from_country_codes": [37 "US",38 "AU"39 ],40 "store_address": {41 "address_line1": "200 Collins Street",42 "address_line2": "200 Collins Street",43 "country_code": "AU",44 "postcode": "3000",45 "state": "VIC",46 "suburb": "Melbourne"47 },48 "store_description": "I sell awesome products",49 "store_name": "My Awesome Store",50 "store_photos": [51 {52 "file_id": "your_photo_file_id"53 }54 ],55 "store_websites": [56 {57 "url": "https://my-awesome-store.com"58 }59 ]60 },61 "target": "account_details.store_details"62}
Retrieve account wallet information
GET /api/v1/account/wallet_info
Retrieve your own account number and account name which other businesses on Airwallex can find you with.
The business name of an Airwallex account.
A proxy unique identifier consists of 16 digits to represent an Airwallex account.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/account/wallet_info' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "account_name": "John Walker",3 "account_number": "4521908077956712"4}
Create an account
POST /api/v1/accounts/create
Create a new Airwallex account for your users, merchants, subsidiaries, business partners or clients. You can append more information to the account after creation using the ‘update account’ endpoint. To append documents, please use the ‘file service’ endpoint. Once all the required information has been provided you can submit the account using the ‘Submit account for activation’ endpoint.
Relevant information associated with Airwallex account.
Supplementary files gathered during onboarding. May contain supplementary materials for BusinessEntity and BusinessPersons (UBO, etc).
Additional files.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the additional file.
DRIVERS_LICENSE_FRONT, DRIVERS_LICENSE_BACK, PERSONAL_ID_FRONT, PERSONAL_ID_BACK, PASSPORT, MEDICARE_CARD, OTHER
General information about the business, such as its name, address, and other relevant details.
The intended purpose of the account, such as product usage and monthly turnover.
The approximate amount of revenue a business generates in a month.
The approximate amount of revenue a business generates in a month.
Currency of the revenue. (3-letter ISO 4217 currency code)
Intended product usage.
ACCEPT_ONLINE_PAYMENTS,COLLECT_MARKETPLACE_PROCEEDS,
RECEIVE_TRANSFERS,GET_PAID,CONVERT_FUNDS,
MAKE_TRANSFERS,CREATE_CARDS,MANAGE_EXPENSES,
USE_AWX_API,TRANSFER_CNY_INBOUND
Whether this account is set up as a trustee on behalf of a trust.
Reference to uploaded files of business documentation. (For file upload instructions, refer to 'File Service API'.)
All business documents, such as incorporation certificates, ownershipship structure, and other relevant documentation.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the business file.
ACRA_COMPANY_PROFILE_DOCUMENT, ANNUAL_REPORT, ANNUAL_RETURN, ARTICLES_OF_ASSOCIATION, ASIC_CURRENT_COMPANY_EXTRACT, ASSUMED_NAME_CERTIFICATE, AUTHORIZED_SIGNATORY_DISCLOSURE, BUSINESS_LICENSE, CERTIFICATE_OF_INCORPORATION, CERTIFICATION_REGISTRATION, COMPANY_CERTIFICATE, COMPANY_CONSTITUTION, COMPANY_PROFILE, CONFIRMATION_STATEMENT, DIRECTOR_LIST, EIN_LETTER, LEGAL_NAME_AND_ADDRESS, OPERATING_AGREEMENT, PARTNERSHIP_AGREEMENT, REGISTRATION_CERTIFICATE, SHAREHOLDING_STRUCTURE_CHART, SUPPORTIVE_OTHER, TRUST_DEED, UNIT_HOLDER_REGISTER, UBO_SUPPORTIVE, THIRD_PARTY_SHAREHOLDING_DOCUMENT
Address where the business operates and conducts its activities.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Local business registration number i.e. an official signal of identification for the business.
Country code. (2-letter ISO 3166-2 country code)
Local business registration number i.e. an official signal of identification for the business.
Type of business registration number, depending on what's applicable to the country the business is registered in.
BRN: Business Registration NumberEIN: Employer Identification NumberSSN: Social Security NumberVAT: Value Added Tax Number
The official legal name of the business as registered with the relevant government authority.
The official legal name of the business as registered with the relevant government authority. (in ASCII characters only, e.g. romanization of non-Latin characters)
Also known as a "doing business as" (DBA) name, refers to a name under which the business operates and conducts its activities, which may differ from its legal name.
The date on which the business officially begins its operations in YYYY-MM-DD format.
Type of business structure.
COMPANY, CORPORATION, GENERAL_PARTNERSHIP, LIMITED_LIABILITY_COMPANY, LIMITED_LIABILITY_PARTNERSHIP, LIMITED_PARTNERSHIP, PARTNERSHIP, SELF_MANAGED_SUPER_FUND, SOLE_PROPRIETOR, NON_REGISTERED_SOLE_PROPRIETOR, TRUST, OTHER
Primary business phone number.
Free text description of goods or services. Max length is 500 characters.
Free text description of business activities conducted in high-risk countries if any. Max length is 500 characters.
Indicate whether the business engages in the export of goods and/or services.
Business fax number.
Indicate whether the NZ business has a constitution document.
Indicate whether the customer, close family member, or business partner holds public office.
Indicate whether the customer has been refused service from a financial institution due to ML/TF concerns.
Indicate whether the business engages in domestic Ringgit borrowing.
The code of the industry category most aligned with your business. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
The countries in which the business conducts its operations, such as selling products or services, or providing support to customers. Multiple country codes (2-letter ISO 3166-2 country code) may be provided.
Address where the business is registered.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Address where the business is registered. (in ASCII characters only, e.g. romanization of non-Latin characters)
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
The state where the business incorporated, different from registration state. (2-letter ISO 3166-2 state code)
Websites associated with the business, such as its official website, social media pages, or other online profiles.
Information about the individuals that own or have a controlling interest in the business, or are authorized to act on behalf of the business. This list doesn't support partial update (i.e. one person of many), you need to pass the entire list for a successful update.
Reference to uploaded business person document. (For file upload instructions, refer to 'File Service API'.)
All personal documents, such as PPTA letter, change or name certificate, or other supporting documents.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the personal document
PERSON_PURPORTING_TO_ACT_AUTHORISATION_LETTER, PERSON_NAME_CHANGE_CERTIFICATE, APPLICANT_SIGNATURE, PROOF_OF_ADDRESS, VIDEO_SELFIE, PHOTO_SELFIE, SUPPORTIVE_OTHER, APPOINTMENT_DOCUMENT
Birth date of the business person in YYYY-MM-DD format. Required for US accounts.
Email of the business person. Note: this field may not be visible in the embedded KYC component for all regions.
Required for submit. First name of the business person. 1–250 characters.
First name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if first_name contains non-ASCII characters.
Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card. Required for all persons except director-only persons in AU/NZ, or when deferred identity verification is enabled.
Required when identifications is provided. Details of the primary identification.
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state where the license is issued. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Required. Type of identification.
DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID
Required (optional if a document file is provided for OCR processing). Country where the identification document is issued. (2-letter ISO 3166-2 country code)
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Other government-issued unique identifier card.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Required (optional if a document file is provided for OCR processing). Tax unique identifier number (e.g., SSN or ITIN for US persons).
Required. Tax unique identifier type.
SSN, VAT, ITIN, OTHERS
Details of the secondary identity verification
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state where the license is issued. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Type of identification.
DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID
Country where the license is issued. (2-letter ISO 3166-2 country code)
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Other government-issued unique identifier card.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Tax unique identifier number.
Tax unique identifier type.
SSN, VAT, ITIN, OTHERS
Job title of the business person within the business.
Required for submit. Last name of the business person. 1–250 characters.
Last name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if last_name contains non-ASCII characters.
File id for live-photo of the individual.
Middle name of the business person.
Middle name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if middle_name contains non-ASCII characters.
Nationality of the business person. (2-letter ISO 3166-2 country code) Required for all persons except director-only persons in AU/NZ.
Read-only. Unique Id of this person. Returned in responses after the person is created. Include this field when updating existing persons (API version 2023-06-01+) to update the correct record; omitting it creates a new person.
A valid phone number for the business person. Note: this field may not be visible in the embedded KYC component for all regions.
Residential address of the business person. Required for all persons except director-only persons in AU/NZ.
Required when residential_address is provided. The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable. For US addresses, must include a house/building number.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Required when residential_address is provided. Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country. Required for US accounts.
Name of state. Only applicable if relevant to selected country. Required for US accounts (2-letter state code).
Name of city/suburb.
Required for submit. Roles of the business person. At least one role must be specified. Allowed values: AUTHORISED_PERSON, BENEFICIAL_OWNER, CONTROLLING_PERSON, DIRECTOR, LEGAL_REPRESENTATIVE, SIGNATORY. A maximum of one person can hold AUTHORISED_PERSON, CONTROLLING_PERSON, or LEGAL_REPRESENTATIVE. The order is not guaranteed in response.
Individual details including name, including name, address, face photo, and documents.
Information on how the account will be used, such as sending/receiving countries and monthly volume.
Ways in which the account will use Airwallex borderless cards.
GENERAL_EXPENSES, BUSINESS_EXPENSES, EDUCATION,
TRAVEL_TRANSPORT, INSURANCE, SERVICES,
BILLS_UTILITIES, INVESTMENT, FEES_CHARGES,
HEALTHCARE, HOUSING, NO_CARD_USAGE
Countries from which the account will be collecting funds. (2-letter ISO 3166-2 country code)
Sources and counterparties from which the account will be collecting funds.
ALLOWANCE_FROM_FAMILY, BENEFITS_FROM_STATE, EMPLOYMENT_INCOME,
INVESTMENT_INCOME_NONPROPERTY, INCOME_FROM_PROPERTY,
INCOME_FROM_MARKETPLLACES,
INSURANCE, LOANS, SAVINGS, OTHER_THIRD_PARTIES,
PAYMENT_REFUNDS
Estimate of expected monthly transaction volume.
Estimate of the expected amount of money to be collected or paid out each month, in US dollars.
Currency of the revenue. (3-letter ISO 4217 currency code).
Countries to which the account will be paying funds. (2-letter ISO 3166-2 country code)
Beneficiaries and counterparties to which the account will be paying funds.
CONNECTED_AWX_ACCOUNT, EDUCATIONAL_INSTITUTIONS, FRIENDS_OR_RELATIVES,
MARKETPLACE_PLATFORM, MARKETPLACE_SELLERS, MOBILITY_PLATFORM,
OTHER_THIRD_PARTY_INDIVIDUALS, OWN_BANK_ACCOUNT
Intended product usage.
CREATE_CARDS, MAKE_TRANSFERS, MARKETPLACE_WALLET,
MOBILITY_WALLET, OTHERS, PAYROLL_WALLET,
RECEIVE_TRANSFERS, TRADE_SECURITIES, TUITION_PAYMENTS
Reference to uploaded identification document.
Identity files for individual accounts.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the identity file.
PERSON_NAME_CHANGE_CERTIFICATE, PROOF_OF_ADDRESS, SUPPORTIVE_OTHER, VIDEO_SELFIE, PHOTO_SELFIE
Birth date of the account user in YYYY-MM-DD format.
Information of the individual's employer.
Local business registration number i.e. an official signal of identification for the business.
Country code. (2-letter ISO 3166-2 country code)
Local business registration number i.e. an official signal of identification for the business.
Type of business registration number, depending on what's applicable to the country the business is registered in.
BRN: Business Registration NumberEIN: Employer Identification NumberSSN: Social Security NumberVAT: Value Added Tax Number
Name of the employer.
The code of the industry category most aligned with the individual's employer. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
Estimate of monthly income.
Estimate of monthly income.
Currency of the income. (3-letter ISO 4217 currency code)
First name of the account user.
First name of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.
Indicate whether the customer, close family member, or business partner holds public office.
Indicate whether the customer has been refused service from a financial institution due to ML/TF concerns.
Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card.
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state issuing the license. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Type of identification.
DRIVERS_LICENSE, MEDICARE_CARD, PASSPORT, PERSONAL_ID, TAX_ID
Country issuing the document. (2-letter ISO 3166-2 country code)
Medicare card.
File id of the photo of the back of the document.
Medicare card number.
Card color.
BLUE, GREEN, YELLOW
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Reference number listed on the document.
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Personal unique identifier.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Tax unique identifier number.
Type of Tax unique identifier commonly used in the selected country.
SSN, ITIN
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state issuing the license. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Type of identification.
DRIVERS_LICENSE, MEDICARE_CARD, PASSPORT, PERSONAL_ID, TAX_ID
Country issuing the document. (2-letter ISO 3166-2 country code)
Medicare card.
File id of the photo of the back of the document.
Medicare card number.
Card color.
BLUE, GREEN, YELLOW
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Reference number listed on the document.
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Personal unique identifier.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Tax unique identifier number.
Type of Tax unique identifier commonly used in the selected country.
SSN, ITIN
Last name of the account user.
Last name of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.
File id for live-photo of the individual.
Middle name of the account user.
Middle name of the account user. (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.
Nationality of the account user. (2-letter ISO 3166-2 country code)
Occupation of the individual person.
ACCOUNTANT, ADMINISTRATION, ARCHITECTURE, ARTIST, ATHLETE, BEAUTY, BUSINESSMAN, CONSTRUCTION, COOK, DELIVERY, DESIGNER, ENGINEER, FINANCE, GOVERNMENT, HEALTHCARE, INSURANCE, JOURNALIST, LEGAL, MANAGER, MARKETING, MEDIA, MILITARY, NURSE, OFFICER, OTHERS, PILOT, PROGRAMMER, PRODUCTION, REAL_ESTATE, SALESPERSON, SELF_EMPLOYMENT, STUDENT, SURVEYOR, TEACHER, TECHNICIAN, TRAVEL, UNEMPLOYED, WAITER
Alias or other names of the individual person if different.
First name (given name) of the individual person if different.
Last name (family name) of the individual person if different.
Middle name of the individual person if different.
Unique Id of this person. This field is only available when the account has passed KYC.
Phone number of the account user, used for identity verification
File id of a photo of the individual holding their identification. Applicable only if specifically requested by Airwallex.
Address of the account user.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Address of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the address field includes non-ASCII characters.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Legal Entity unique identifier of the account. If not provided, new Legal Entity will be created.
Type of account. Defaults to BUSINESS.
BUSINESS, INDIVIDUAL
Relevant information associated with the store you are applying payment solutions for.
Percentage of products or services provided to international customers residing outside of where your business's registered.
Average dispute rate (percentage of total successful payments that are claimed as disputed charges by card schemes) of your store in the past three months.
Total number of staff in all stores.
Your store's anticipated volume of transactions in the next 12 months with Airwallex.
The average transaction size of your store.
Currency of the transaction volume. (3-letter ISO 4217 currency code)
The maximum transaction size of your store.
The average monthly volume of your store.
Additional documents about your store's financials.
Unique identifier of file as provided in the response from the File Service API.
Number of days your customers will typically need to wait to receive their goods or services after paying for their orders.
The code of the industry category most aligned with your store. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
Current or desired MCC for your store.
The model of which our customers pay for their orders. Refer to https://www.airwallex.com/docs/payments/about-airwallex-payments/choose-your-payments-solution#what-is-your-payments-use-case
One or more of ONLINE_CHECKOUT, INVOICES_OR_CUSTOM_ORDER_LINKS, IN_PERSON.
Anticipated transaction volume split by payment methods.
Type of payment methods; one of CARDS, BANK_DIRECT_DEBIT, OTHER.
Percentage of anticipated transaction volume.
Average refund rate (percentage of total successful payments that are refunded to your customers) of your store in the past three months.
List of country codes where products are sold.
List of country codes from which goods are shipped.
Physical address of the store.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Free text description of your store's goods or services offerings. Max length is 500 characters.
The trading name your store is operating as. This name will also appear on the receipts to your customers.
Store photos of shop front clearly displaying the company name or photo of building entrance as well as directory with company name listed.
All relevant store photos, if more than 1 physical store, provide one photo of each.
All websites associated with the store you are applying payment solutions for. They must be in the same industry selling the same or similar goods and services, otherwise you will need to submit another application as a different store.
Url of the store websites, including online store, marketplace stores, app-store links or other relevant websites.
Only applicable for SELF_MANAGED_SUPER_FUND business structure, information about the trustee which can be a business or an individual.
Business details including the type of business, primary place of business, and industry type.
Reference to uploaded files of business documentation. (For file upload instructions, refer to 'File Service API'.)
All business documents, such as incorporation certificates, ownershipship structure, and other relevant documentation.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the business file.
ACRA_COMPANY_PROFILE_DOCUMENT, ANNUAL_REPORT, ANNUAL_RETURN, ARTICLES_OF_ASSOCIATION, ASIC_CURRENT_COMPANY_EXTRACT, ASSUMED_NAME_CERTIFICATE, AUTHORIZED_SIGNATORY_DISCLOSURE, BUSINESS_LICENSE, CERTIFICATE_OF_INCORPORATION, CERTIFICATION_REGISTRATION, COMPANY_CERTIFICATE, COMPANY_CONSTITUTION, COMPANY_PROFILE, CONFIRMATION_STATEMENT, DIRECTOR_LIST, EIN_LETTER, LEGAL_NAME_AND_ADDRESS, OPERATING_AGREEMENT, PARTNERSHIP_AGREEMENT, REGISTRATION_CERTIFICATE, SHAREHOLDING_STRUCTURE_CHART, SUPPORTIVE_OTHER, TRUST_DEED, UNIT_HOLDER_REGISTER, UBO_SUPPORTIVE, THIRD_PARTY_SHAREHOLDING_DOCUMENT
Local business registration number i.e. an official signal of identification for the business.
Country code. (2-letter ISO 3166-2 country code)
Local business registration number i.e. an official signal of identification for the business.
Type of business registration number, depending on what's applicable to the country the business is registered in.
BRN: Business Registration NumberEIN: Employer Identification NumberSSN: Social Security NumberVAT: Value Added Tax Number
The official legal name of the business as registered with the relevant government authority..
The official legal name of the business as registered with the relevant government authority. (in ASCII characters only, e.g. romanization of non-Latin characters)
Details identifying the related persons of the business.
Reference to uploaded business person document. (For file upload instructions, refer to 'File Service API'.)
All personal documents, such as PPTA letter, change or name certificate, or other supporting documents.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the personal document
PERSON_PURPORTING_TO_ACT_AUTHORISATION_LETTER, PERSON_NAME_CHANGE_CERTIFICATE, APPLICANT_SIGNATURE, PROOF_OF_ADDRESS, VIDEO_SELFIE, PHOTO_SELFIE, SUPPORTIVE_OTHER, APPOINTMENT_DOCUMENT
Birth date of the business person in YYYY-MM-DD format.
Email of the business person.
First name of the business person.
First name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)
Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card.
Details of the primary identification.
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state where the license is issued. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Type of identification.
DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID
Country where the license is issued. (2-letter ISO 3166-2 country code)
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Other government-issued unique identifier card.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Tax unique identifier number.
Tax unique identifier type.
SSN, VAT, ITIN, OTHERS
Details of the secondary identity verification
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state where the license is issued. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Type of identification.
DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID
Country where the license is issued. (2-letter ISO 3166-2 country code)
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Other government-issued unique identifier card.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Tax unique identifier number.
Tax unique identifier type.
SSN, VAT, ITIN, OTHERS
Job title of the business person within the business.
Last name of the business person
Last name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)
File id for live-photo of the individual.
Middle name of the business person.
Middle name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)
Nationality of the business person. (2-letter ISO 3166-2 country code)
Unique Id of this person. This field is only available when the account has passed KYC.
A valid phone number for the business person.
Address where the business is registered.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Roles of the business person. Any of AUTHORISED_PERSON, BENEFICIAL_OWNER, CONTROLLING_PERSON, DIRECTOR, LEGAL_REPRESENTATIVE, SIGNATORY. The order is not guaranteed in response.
Type of business structure.
COMPANY, PARTNERSHIP, SOLE_PROPRIETOR
Primary business phone number.
Free text description of goods or services. Max length is 500 characters.
Free text description of business activities conducted in high-risk countries if any. Max length is 500 characters.
The code of the industry category most aligned with your business. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
The countries in which the business conducts its operations, such as selling products or services, or providing support to customers. Multiple country codes (2-letter ISO 3166-2 country code) may be provided.
Address where the business is registered.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Address where the business is registered. (in ASCII characters only, e.g. romanization of non-Latin characters)
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Websites associated with the business, such as its official website, social media pages, or other online profiles.
Individual details including name, including name, address, face photo, and documents.
Address where the business is registered.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Reference to uploaded identification document. (For file upload instructions, refer to 'File Service API'.)
Identity files.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the identity file.
DRIVERS_LICENSE_FRONT, DRIVERS_LICENSE_BACK, PERSONAL_ID_FRONT, PERSONAL_ID_BACK, PASSPORT
Birth date of the trustee in YYYY-MM-DD format.
First name of the trustee.
First name of the trustee (in ASCII characters only, e.g. romanization of non-Latin characters)
Driver's license card number (not driver's license number) the trustee can provide.
Identification number the trustee can provide.
Identification type the trustee can provide.
Last name of the trustee.
Last name of the trustee (in ASCII characters only, e.g. romanization of non-Latin characters)
Nationality of the trustee. (2-letter ISO 3166-2 country code)
Type of trustee. Defaults to BUSINESS.
BUSINESS, INDIVIDUAL
Agreements collected from the user, such as acceptance of terms and conditions, or opt in for marketing.
Consent to Airwallex collecting and processing the biometrics data (applicable if liveness check is conducted).
Consent to Airwallex using the provided data, including consent for Airwallex to verify the identity of relevant individuals with Airwallex service providers and database owners in accordance with the Identity Verification Terms.
Agreement to abide by the Airwallex terms and conditions.
Agreement to receive email from Airwallex on news, promotions, etc.
Terms and conditions between Airwallex and the account holder.
The timestamp marking when the account representative agreed to their service agreement in ISO 8601 format.
Client device information applicable when agreement is accepted. It is recommended to provide this data for risk analysis
The IP address from which the account representative accepted their service agreement.
The user agent of the browser from which the account representative accepted their service agreement.
The user’s service type of their agreement. Default to FULL. A FULL service agreement creates a service relationship between Airwallex and the account holder. A RECIPIENT service agreement clarifies that there is no service relationship between Airwallex and the recipient, and that the recipient’s relationship is with the platform. This service agreement type is required for creating Ledger Account .
The identifier that the platform uses to identify a merchant, usually a unique merchant identifier.
A set of key-value pairs that you can attach to an Account object. This can be useful for storing additional information about the account in a structured format. You can specify up to 5 keys, with key names up to 20 characters long and values up to 150 characters long
Optional human-friendly account name.
Contact information for the the primary contact of the Airwallex specified account. It is required to provide at least one form of contact information
A valid email address.
A valid mobile phone number.
Relevant information associated with Airwallex account specified in the request.
Supplementary Materials.
Additional files.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the additional file.
DRIVERS_LICENSE_FRONT, DRIVERS_LICENSE_BACK, PERSONAL_ID_FRONT, PERSONAL_ID_BACK, PASSPORT, MEDICARE_CARD, OTHER
Business details including the type of business, primary place of business and industry type.
The intended purpose of the account, such as product usage and monthly turnover.
The approximate amount of revenue a business generates in a month.
The approximate amount of revenue a business generates in a month.
Currency of the revenue. (3-letter ISO 4217 currency code)
Intended product usage.
ACCEPT_ONLINE_PAYMENTS,COLLECT_MARKETPLACE_PROCEEDS,
RECEIVE_TRANSFERS,GET_PAID,CONVERT_FUNDS,
MAKE_TRANSFERS,CREATE_CARDS,MANAGE_EXPENSES,
USE_AWX_API,TRANSFER_CNY_INBOUND
Whether this account is set up as a trustee on behalf of a trust.
Reference to uploaded files of business documentation. (For file upload instructions, refer to 'File Service API'.)
All business documents, such as incorporation certificates, ownershipship structure, and other relevant documentation.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the business file.
ACRA_COMPANY_PROFILE_DOCUMENT, ANNUAL_REPORT, ANNUAL_RETURN, ARTICLES_OF_ASSOCIATION, ASIC_CURRENT_COMPANY_EXTRACT, ASSUMED_NAME_CERTIFICATE, AUTHORIZED_SIGNATORY_DISCLOSURE, BUSINESS_LICENSE, CERTIFICATE_OF_INCORPORATION, CERTIFICATION_REGISTRATION, COMPANY_CERTIFICATE, COMPANY_CONSTITUTION, COMPANY_PROFILE, CONFIRMATION_STATEMENT, DIRECTOR_LIST, LEGAL_NAME_AND_ADDRESS, OPERATING_AGREEMENT, PARTNERSHIP_AGREEMENT, REGISTRATION_CERTIFICATE, SHAREHOLDING_STRUCTURE_CHART, SUPPORTIVE_OTHER, TRUST_DEED, UNIT_HOLDER_REGISTER, UBO_SUPPORTIVE, THIRD_PARTY_SHAREHOLDING_DOCUMENT, EIN_LETTER
Address where the business operates and conducts its activities.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Local business registration number i.e. an official signal of identification for the business.
Country code. (2-letter ISO 3166-2 country code)
Local business registration number i.e. an official signal of identification for the business.
Type of business registration number, depending on what's applicable to the country the business is registered in.
BRN: Business Registration NumberEIN: Employer Identification NumberSSN: Social Security NumberVAT: Value Added Tax Number
The official legal name of the business as registered with the relevant government authority.
The official legal name of the business as registered with the relevant government authority. (in ASCII characters only, e.g. romanization of non-Latin characters)
Also known as a "doing business as" (DBA) name, refers to a name under which the business operates and conducts its activities, which may differ from its legal name.
The date on which the business officially begins its operations in YYYY-MM-DD format.
Type of business structure.
COMPANY, CORPORATION, GENERAL_PARTNERSHIP, LIMITED_LIABILITY_COMPANY, LIMITED_LIABILITY_PARTNERSHIP, LIMITED_PARTNERSHIP, PARTNERSHIP, SELF_MANAGED_SUPER_FUND, SOLE_PROPRIETOR, NON_REGISTERED_SOLE_PROPRIETOR, TRUST, OTHER
Primary business phone number.
Free text description of goods or services. Max length is 500 characters.
Free text description of business activities conducted in high-risk countries if any. Max length is 500 characters.
Indicate whether the business engages in the export of goods and/or services.
Business fax number.
Indicate whether the NZ business has a constitution document.
Indicate whether the customer, close family member, or business partner holds public office.
Indicate whether the customer has been refused service from a financial institution due to ML/TF concerns.
Indicate whether the business engages in domestic Ringgit borrowing.
The code of the industry category most aligned with your business. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
The countries in which the business conducts its operations, such as selling products or services, or providing support to customers. Multiple country codes (2-letter ISO 3166-2 country code) may be provided.
Address where the business is registered.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Address where the business is registered. (in ASCII characters only, e.g. romanization of non-Latin characters)
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
The state where the business incorporated, different from registration state. (2-letter ISO 3166-2 state code)
Websites associated with the business, such as its official website, social media pages, or other online profiles.
Details identifying the related persons of the business. Each object represents an individual associated with the business (e.g., beneficial owner, director, authorized person).
Validation timing: Most fields are accepted during an update call regardless of completeness. However, all fields marked as required below must be populated before the account can be submitted for KYC review via the Submit endpoint or the embedded KYC component.
Role requirements by country: The array must collectively include at least one person for each required role: GB requires AUTHORISED_PERSON + BENEFICIAL_OWNER + DIRECTOR; US requires AUTHORISED_PERSON + BENEFICIAL_OWNER + DIRECTOR or CONTROLLING_PERSON; CN requires AUTHORISED_PERSON + BENEFICIAL_OWNER + LEGAL_REPRESENTATIVE; all other countries require AUTHORISED_PERSON + BENEFICIAL_OWNER.
Prefill behavior: Data saved via this API is automatically prefilled in the embedded KYC component. For a person to appear in the KYC form, the roles field must be populated with at least one valid role. We recommend including first_name, last_name, and roles as the minimum payload for a visible, identifiable person entry.
Reference to uploaded business person document. (For file upload instructions, refer to 'File Service API'.)
All personal documents, such as PPTA letter, change or name certificate, or other supporting documents.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the personal document
PERSON_PURPORTING_TO_ACT_AUTHORISATION_LETTER, PERSON_NAME_CHANGE_CERTIFICATE, APPLICANT_SIGNATURE, PROOF_OF_ADDRESS, VIDEO_SELFIE, PHOTO_SELFIE, SUPPORTIVE_OTHER, APPOINTMENT_DOCUMENT
Birth date of the business person in YYYY-MM-DD format. Required for US accounts.
Email of the business person. Note: this field may not be visible in the embedded KYC component for all regions.
Required for submit. First name of the business person. 1–250 characters.
First name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if first_name contains non-ASCII characters.
Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card. Required for all persons except director-only persons in AU/NZ, or when deferred identity verification is enabled.
Required when identifications is provided. Details of the primary identification.
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state where the license is issued. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Required. Type of identification.
DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID
Required (optional if a document file is provided for OCR processing). Country where the identification document is issued. (2-letter ISO 3166-2 country code)
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Other government-issued unique identifier card.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Required (optional if a document file is provided for OCR processing). Tax unique identifier number (e.g., SSN or ITIN for US persons).
Required. Tax unique identifier type.
SSN, VAT, ITIN, OTHERS
Details of the secondary identity verification
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state where the license is issued. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Required. Type of identification.
DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID
Required (optional if a document file is provided for OCR processing). Country where the identification document is issued. (2-letter ISO 3166-2 country code)
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Other government-issued unique identifier card.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Required (optional if a document file is provided for OCR processing). Tax unique identifier number (e.g., SSN or ITIN for US persons).
Required. Tax unique identifier type.
SSN, VAT, ITIN, OTHERS
Job title of the business person within the business.
Required for submit. Last name of the business person. 1–250 characters.
Last name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if last_name contains non-ASCII characters.
File id for live-photo of the individual.
Middle name of the business person.
Middle name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if middle_name contains non-ASCII characters.
Nationality of the business person. (2-letter ISO 3166-2 country code) Required for all persons except director-only persons in AU/NZ.
Read-only. Unique Id of this person. Returned in responses after the person is created. Include this field when updating existing persons (API version 2023-06-01+) to update the correct record; omitting it creates a new person.
A valid phone number for the business person. Note: this field may not be visible in the embedded KYC component for all regions.
Residential address of the business person. Required for all persons except director-only persons in AU/NZ.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Required for submit. Roles of the business person. At least one role must be specified. Allowed values: AUTHORISED_PERSON, BENEFICIAL_OWNER, CONTROLLING_PERSON, DIRECTOR, LEGAL_REPRESENTATIVE, SIGNATORY. A maximum of one person can hold AUTHORISED_PERSON, CONTROLLING_PERSON, or LEGAL_REPRESENTATIVE. The order is not guaranteed in response.
Individual details including name, address, face photo, and documents.
Information on how the account will be used, such as sending/receiving countries and monthly volume.
Ways in which the account will use Airwallex borderless cards.
GENERAL_EXPENSES, BUSINESS_EXPENSES, EDUCATION,
TRAVEL_TRANSPORT, INSURANCE, SERVICES,
BILLS_UTILITIES, INVESTMENT, FEES_CHARGES,
HEALTHCARE, HOUSING, NO_CARD_USAGE
Countries from which the account will be collecting funds. (2-letter ISO 3166-2 country code)
Sources and counterparties from which the account will be collecting funds.
ALLOWANCE_FROM_FAMILY, BENEFITS_FROM_STATE, EMPLOYMENT_INCOME,
INVESTMENT_INCOME_NONPROPERTY, INCOME_FROM_PROPERTY,
INCOME_FROM_MARKETPLLACES,
INSURANCE, LOANS, SAVINGS, OTHER_THIRD_PARTIES,
PAYMENT_REFUNDS
Estimate of expected monthly transaction volume.
Estimate of the expected amount of money to be collected or paid out each month, in US dollars.
Currency of the revenue. (3-letter ISO 4217 currency code).
Countries to which the account will be paying funds. (2-letter ISO 3166-2 country code)
Beneficiaries and counterparties to which the account will be paying funds.
CONNECTED_AWX_ACCOUNT, EDUCATIONAL_INSTITUTIONS, FRIENDS_OR_RELATIVES,
MARKETPLACE_PLATFORM, MARKETPLACE_SELLERS, MOBILITY_PLATFORM,
OTHER_THIRD_PARTY_INDIVIDUALS, OWN_BANK_ACCOUNT
Intended product usage.
CREATE_CARDS, MAKE_TRANSFERS, MARKETPLACE_WALLET,
MOBILITY_WALLET, OTHERS, PAYROLL_WALLET,
RECEIVE_TRANSFERS, TRADE_SECURITIES, TUITION_PAYMENTS
Reference to uploaded identification document.
Identity files for individual accounts.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the identity file.
PERSON_NAME_CHANGE_CERTIFICATE, PROOF_OF_ADDRESS, SUPPORTIVE_OTHER, VIDEO_SELFIE, PHOTO_SELFIE
Birth date of the account user in YYYY-MM-DD format.
Information of the individual's employer.
Local business registration number i.e. an official signal of identification for the business.
Country code. (2-letter ISO 3166-2 country code)
Local business registration number i.e. an official signal of identification for the business.
Type of business registration number, depending on what's applicable to the country the business is registered in.
BRN: Business Registration NumberEIN: Employer Identification NumberSSN: Social Security NumberVAT: Value Added Tax Number
Name of the employer.
The code of the industry category most aligned with the individual's employer. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
Estimate of monthly income.
Estimate of monthly income.
Currency of the income. (3-letter ISO 4217 currency code)
First name of the account user.
First name of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.
Indicate whether the customer, close family member, or business partner holds public office.
Indicate whether the customer has been refused service from a financial institution due to ML/TF concerns.
Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card.
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state issuing the license. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Type of identification.
DRIVERS_LICENSE, MEDICARE_CARD, PASSPORT, PERSONAL_ID, TAX_ID
Country issuing the document. (2-letter ISO 3166-2 country code)
Medicare card.
File id of the photo of the back of the document.
Medicare card number.
Card color.
BLUE, GREEN, YELLOW
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Reference number listed on the document.
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Personal unique identifier.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Tax unique identifier number.
Type of Tax unique identifier commonly used in the selected country.
SSN, ITIN
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state issuing the license. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Type of identification.
DRIVERS_LICENSE, MEDICARE_CARD, PASSPORT, PERSONAL_ID, TAX_ID
Country issuing the document. (2-letter ISO 3166-2 country code)
Medicare card.
File id of the photo of the back of the document.
Medicare card number.
Card color.
BLUE, GREEN, YELLOW
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Reference number listed on the document.
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Personal unique identifier.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Tax unique identifier number.
Type of Tax unique identifier commonly used in the selected country.
SSN, ITIN
Last name of the account user.
Last name of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.
File id for live-photo of the individual.
Middle name of the account user.
Middle name of the account user. (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.
Nationality of the account user. (2-letter ISO 3166-2 country code)
Occupation of the individual person.
ACCOUNTANT, ADMINISTRATION, ARCHITECTURE, ARTIST, ATHLETE, BEAUTY, BUSINESSMAN, CONSTRUCTION, COOK, DELIVERY, DESIGNER, ENGINEER, FINANCE, GOVERNMENT, HEALTHCARE, INSURANCE, JOURNALIST, LEGAL, MANAGER, MARKETING, MEDIA, MILITARY, NURSE, OFFICER, OTHERS, PILOT, PROGRAMMER, PRODUCTION, REAL_ESTATE, SALESPERSON, SELF_EMPLOYMENT, STUDENT, SURVEYOR, TEACHER, TECHNICIAN, TRAVEL, UNEMPLOYED, WAITER
Alias or other names of the individual person if different.
First name (given name) of the individual person if different.
Last name (family name) of the individual person if different.
Middle name of the individual person if different.
Unique Id of this person. This field is only available when the account has passed KYC.
Phone number of the account user, used for identity verification
File id of a photo of the individual holding their identification. Applicable only if specifically requested by Airwallex.
Address of the account user.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Address of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the address field includes non-ASCII characters.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Legal Entity unique identifier of the account.
Type of account. Defaults to BUSINESS.
BUSINESS, INDIVIDUAL
Relevant information associated with the store you are applying payment solutions for.
Percentage of products or services provided to international customers residing outside of where your business's registered.
Average dispute rate (percentage of total successful payments that are claimed as disputed charges by card schemes) of your store in the past three months.
Total number of staff in all stores.
Your store's anticipated volume of transactions in the next 12 months with Airwallex.
The average transaction size of your store.
Currency of the transaction volume. (3-letter ISO 4217 currency code)
The maximum transaction size of your store.
The average monthly volume of your store.
Additional documents about your store's financials.
Unique identifier of file as provided in the response from the File Service API.
Number of days your customers will typically need to wait to receive their goods or services after paying for their orders.
The code of the industry category most aligned with your store. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
Current or desired MCC for your store.
The model of which our customers pay for their orders. Refer to https://www.airwallex.com/docs/payments/about-airwallex-payments/choose-your-payments-solution#what-is-your-payments-use-case
One or more of ONLINE_CHECKOUT, INVOICES_OR_CUSTOM_ORDER_LINKS, IN_PERSON.
Anticipated transaction volume split by payment methods.
Type of payment methods; one of CARDS, BANK_DIRECT_DEBIT, OTHER.
Percentage of anticipated transaction volume.
Average refund rate (percentage of total successful payments that are refunded to your customers) of your store in the past three months.
List of country codes where products are sold.
List of country codes from which goods are shipped.
Physical address of the store.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Free text description of your store's goods or services offerings. Max length is 500 characters.
The trading name your store is operating as. This name will also appear on the receipts to your customers.
Store photos of shop front clearly displaying the company name or photo of building entrance as well as directory with company name listed.
All relevant store photos, if more than 1 physical store, provide one photo of each.
All websites associated with the store you are applying payment solutions for. They must be in the same industry selling the same or similar goods and services, otherwise you will need to submit another application as a different store.
Url of the store websites, including online store, marketplace stores, app-store links or other relevant websites.
Details identifying the trustee of the business.
Business details including the type of business, primary place of business, and industry type.
Reference to uploaded files of business documentation. (For file upload instructions, refer to 'File Service API'.)
All business documents, such as incorporation certificates, ownershipship structure, and other relevant documentation.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the business file.
ACRA_COMPANY_PROFILE_DOCUMENT, ANNUAL_REPORT, ANNUAL_RETURN, ARTICLES_OF_ASSOCIATION, ASIC_CURRENT_COMPANY_EXTRACT, ASSUMED_NAME_CERTIFICATE, AUTHORIZED_SIGNATORY_DISCLOSURE, BUSINESS_LICENSE, CERTIFICATE_OF_INCORPORATION, CERTIFICATION_REGISTRATION, COMPANY_CERTIFICATE, COMPANY_CONSTITUTION, COMPANY_PROFILE, CONFIRMATION_STATEMENT, DIRECTOR_LIST, LEGAL_NAME_AND_ADDRESS, OPERATING_AGREEMENT, PARTNERSHIP_AGREEMENT, REGISTRATION_CERTIFICATE, SHAREHOLDING_STRUCTURE_CHART, SUPPORTIVE_OTHER, TRUST_DEED, UNIT_HOLDER_REGISTER, UBO_SUPPORTIVE, THIRD_PARTY_SHAREHOLDING_DOCUMENT, EIN_LETTER
Local business registration number i.e. an official signal of identification for the business.
Country code. (2-letter ISO 3166-2 country code)
Local business registration number i.e. an official signal of identification for the business.
Type of business registration number, depending on what's applicable to the country the business is registered in.
BRN: Business Registration NumberEIN: Employer Identification NumberSSN: Social Security NumberVAT: Value Added Tax Number
The official legal name of the business as registered with the relevant government authority..
The official legal name of the business as registered with the relevant government authority. (in ASCII characters only, e.g. romanization of non-Latin characters)
Details identifying the related persons of the business.
Reference to uploaded business person document. (For file upload instructions, refer to 'File Service API'.)
All personal documents, such as PPTA letter, change or name certificate, or other supporting documents.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the personal document
PERSON_PURPORTING_TO_ACT_AUTHORISATION_LETTER, PERSON_NAME_CHANGE_CERTIFICATE, APPLICANT_SIGNATURE, PROOF_OF_ADDRESS, VIDEO_SELFIE, PHOTO_SELFIE, SUPPORTIVE_OTHER, APPOINTMENT_DOCUMENT
Birth date of the business person in YYYY-MM-DD format. Required for US accounts.
Email of the business person. Note: this field may not be visible in the embedded KYC component for all regions.
Required for submit. First name of the business person. 1–250 characters.
First name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if first_name contains non-ASCII characters.
Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card. Required for all persons except director-only persons in AU/NZ, or when deferred identity verification is enabled.
Required when identifications is provided. Details of the primary identification.
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state where the license is issued. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Required. Type of identification.
DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID
Required (optional if a document file is provided for OCR processing). Country where the identification document is issued. (2-letter ISO 3166-2 country code)
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Other government-issued unique identifier card.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Required (optional if a document file is provided for OCR processing). Tax unique identifier number (e.g., SSN or ITIN for US persons).
Required. Tax unique identifier type.
SSN, VAT, ITIN, OTHERS
Details of the secondary identity verification
Driver's license.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Gender listed on document.
Name of state where the license is issued. Only applicable if relevant to selected country.
Driver's license number.
Version listed on the document. Only applicable if relevant to selected country.
Required. Type of identification.
DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID
Required (optional if a document file is provided for OCR processing). Country where the identification document is issued. (2-letter ISO 3166-2 country code)
Passport.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
First line of passport MRZ (machine-readable zone).
Second line of passport MRZ (machine-readable zone).
Passport number.
Other government-issued unique identifier card.
File id of the photo of the back of the document.
Document effective as of this date in YYYY-MM-DD format.
Document expiry date in YYYY-MM-DD format.
File id of the photo of the front of the document.
Document unique identifier number.
Tax unique identifier.
Required (optional if a document file is provided for OCR processing). Tax unique identifier number (e.g., SSN or ITIN for US persons).
Required. Tax unique identifier type.
SSN, VAT, ITIN, OTHERS
Job title of the business person within the business.
Required for submit. Last name of the business person. 1–250 characters.
Last name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if last_name contains non-ASCII characters.
File id for live-photo of the individual.
Middle name of the business person.
Middle name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters). Required if middle_name contains non-ASCII characters.
Nationality of the business person. (2-letter ISO 3166-2 country code) Required for all persons except director-only persons in AU/NZ.
Read-only. Unique Id of this person. Returned in responses after the person is created. Include this field when updating existing persons (API version 2023-06-01+) to update the correct record; omitting it creates a new person.
A valid phone number for the business person. Note: this field may not be visible in the embedded KYC component for all regions.
Residential address of the business person. Required for all persons except director-only persons in AU/NZ.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Required for submit. Roles of the business person. At least one role must be specified. Allowed values: AUTHORISED_PERSON, BENEFICIAL_OWNER, CONTROLLING_PERSON, DIRECTOR, LEGAL_REPRESENTATIVE, SIGNATORY. A maximum of one person can hold AUTHORISED_PERSON, CONTROLLING_PERSON, or LEGAL_REPRESENTATIVE. The order is not guaranteed in response.
Type of business structure.
COMPANY, PARTNERSHIP, SOLE_PROPRIETOR
Primary business phone number.
Free text description of goods or services. Max length is 500 characters.
Free text description of business activities conducted in high-risk countries if any. Max length is 500 characters.
The code of the industry category most aligned with your business. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.
The countries in which the business conducts its operations, such as selling products or services, or providing support to customers. Multiple country codes (2-letter ISO 3166-2 country code) may be provided.
Address where the business is registered.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Address where the business is registered. (in ASCII characters only, e.g. romanization of non-Latin characters)
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Websites associated with the business, such as its official website, social media pages, or other online profiles.
Individual details including name, including name, address, face photo, and documents.
Address where the business is registered.
The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.
An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.
Country code. (2-letter ISO 3166-2 country code)
Postcode or zip code. Only applicable if relevant to selected country.
Name of state. Only applicable if relevant to selected country.
Name of city/suburb.
Reference to uploaded identification document. (For file upload instructions, refer to 'File Service API'.)
Identity files.
Optional field for any additional notes or text description for the file.
Unique identifier of file as provided in the response from the File Service API.
Tag of the identity file.
DRIVERS_LICENSE_FRONT, DRIVERS_LICENSE_BACK, PERSONAL_ID_FRONT, PERSONAL_ID_BACK, PASSPORT
Birth date of the trustee in YYYY-MM-DD format.
First name of the trustee.
First name of the trustee (in ASCII characters only, e.g. romanization of non-Latin characters)
Driver's license card number (not driver's license number) the trustee can provide.
Identification number the trustee can provide.
Identification type the trustee can provide.
Last name of the trustee.
Last name of the trustee (in ASCII characters only, e.g. romanization of non-Latin characters)
Nationality of the trustee. (2-letter ISO 3166-2 country code)
Type of trustee. Defaults to BUSINESS.
BUSINESS, INDIVIDUAL
Time the account was created.
Agreements collected from the user, such as acceptance of terms and conditions, or opt in for marketing.
Consent to Airwallex collecting and processing the biometrics data (applicable if liveness check is conducted).
Consent to Airwallex using the provided data, including consent for Airwallex to verify the identity of relevant individuals with Airwallex service providers and database owners in accordance with the Identity Verification Terms.
Agreement to abide by the Airwallex terms and conditions.
Agreement to receive email from Airwallex on news, promotions, etc.
Terms and conditions between Airwallex and the account holder.
The timestamp marking when the account representative agreed to their service agreement in ISO 8601 format.
Client device information applicable when agreement is accepted. It is recommended to provide this data for risk analysis
The IP address from which the account representative accepted their service agreement.
The user agent of the browser from which the account representative accepted their service agreement.
The user’s service type of their agreement. Default to FULL. A FULL service agreement creates a service relationship between Airwallex and the account holder. A RECIPIENT service agreement clarifies that there is no service relationship between Airwallex and the recipient, and that the recipient’s relationship is with the platform. This service agreement type is required for creating Ledger Account .
Airwallex account unique identifier. Once this new account is created, it will be connected to your account and becomes the key value you communicate with Airwallex for any activities in the future.
The identifier that the platform uses to identify a merchant, usually a unique merchant identifier.
A set of key-value pairs that you can attach to an Account object. This can be useful for storing additional information about the account in a structured format.
Further information required in order to proceed with this account.
Code that describes what to do next when status is ACTION_REQUIRED.
Optional human-friendly account name.
Contact information for the primary contact of the Airwallex specified account.
A valid email address.
A valid mobile phone number.
The reactivate details for ACTIVE account with reactivation history.
Further information required in order to proceed with this account.
Agreement to terms and conditions required, only if account is submitted without having agreed.
Call this endpoint to agree to terms and conditions.
Message describing what needs to be done to agree to terms and conditions.
Call the endpoint with this http method to agree to terms and conditions.
Any other requirements.
Error code for what caused this requirement.
OTHER
Information on requirement.
File id of the photo file, only required if facial liveness check failed.
Error code for what caused this requirement.
FACE_CLOSE_TO_BORDER, FACE_CROPPED, FACE_IS_BLOCKED, FACE_NOT_FOUND, FACE_OVER_ROTATED, FACE_TOO_CLOSE, FACE_TOO_SMALL, FAILED_TO_PROCESS_IMAGE, LIVENESS_CHECK_FAILED, OTHER, TOO_MANY_FACES, UNKNOWN
Information on requirement for Photo File.
Photo file as provided in the response from the File Service API.
Photo of user holding their id, only required if document face matching failed.
Error code for what caused this requirement.
FACE_MATCHING_FAILED
File id of identification file.
Information on requirement for photo of person holding their id.
Photo file as provided in the response from the File Service API.
The primary form of identification, only required if document verification failed.
File id of identification file.
Error code for what caused this requirement.
ADDRESS_NOT_FOUND, BLURRY_IMAGE, DATA_COMPARISON_TOO_LOW, DOCUMENT_TYPE_FAILED, DOCUMENT_VALIDATION_FAILED, EXPIRED_DOCUMENT, FACE_MATCHING_FAILED, FAILED_TO_PROCESS, GLARE_IMAGE, OTHER
First name of person requiring identification.
File id of identification file.
Last name of person requiring identification.
Information on requirement for identification.
Middle name of person requiring identification.
An explanation for why you are creating a second account, only required if one already exists.
Error code for what caused this requirement.
CONFIRM_REASON_FOR_SECOND_ACCOUNT, OTHER
Information on requirement when the account appears to be a duplicate.
A secondary form of identification, only required if otherwise provided identification is insufficient to proceed.
File id of identification file.
Error code for what caused this requirement.
ADDRESS_NOT_FOUND, BLURRY_IMAGE, DATA_COMPARISON_TOO_LOW, DOCUMENT_TYPE_FAILED, DOCUMENT_VALIDATION_FAILED, EXPIRED_DOCUMENT, FACE_MATCHING_FAILED, FAILED_TO_PROCESS, GLARE_IMAGE, OTHER
First name of person requiring identification.
File id of identification file.
Last name of person requiring identification.
Information on requirement for identification.
Middle name of person requiring identification.
Status of the account. One of CREATED, SUBMITTED, ACTION_REQUIRED, ACTIVE, SUSPENDED.
The suspend details for SUSPENDED account.
Information on whether the response contains complete or PII excluded data.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
[...]
